# Update an Event Destination

Update the details of an event destination.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/event_destinations/ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6 \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.dahlia" \
  --json '{
    "description": "A better description",
    "enabled_events": [
        "v1.billing.meter.error_report_triggered",
        "v1.billing.meter.no_meter_found"
    ],
    "include": [
        "webhook_endpoint.url"
    ]
  }'
```

### Response

```json
{
  "id": "ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6",
  "object": "v2.core.event_destination",
  "created": "2024-10-22T16:20:09.931Z",
  "description": "A better description",
  "enabled_events": [
    "v1.billing.meter.error_report_triggered",
    "v1.billing.meter.no_meter_found"
  ],
  "event_payload": "thin",
  "events_from": [
    "@self"
  ],
  "livemode": false,
  "metadata": {},
  "name": "My Event Destination",
  "snapshot_api_version": null,
  "status": "disabled",
  "status_details": {
    "disabled": {
      "reason": "user"
    }
  },
  "type": "webhook_endpoint",
  "updated": "2024-10-22T16:25:48.976Z",
  "webhook_endpoint": {
    "signing_secret": null,
    "url": "https://example.com/my/webhook/endpoint"
  }
}
```

## Parameters

- `description` (string, optional)
  An optional description of what the event destination is used for.

- `enabled_events` (array of strings, optional)
  The list of events to enable for this endpoint.

- `include` (array of enums, optional)
  Additional fields to include in the response. Currently supports `webhook_endpoint.url`.
Possible enum values:
  - `webhook_endpoint.url`
    Include parameter to expose `webhook_endpoint.url`.

- `metadata` (map, optional)
  Metadata.

- `name` (string, optional)
  Event destination name.

- [`webhook_endpoint`](https://docs.stripe.com/api/v2/core/event-destinations/update.md?query=webhook_endpoint) (object, optional)
  Webhook endpoint configuration.

## Returns

Returns an [Event Destination object](https://docs.stripe.com/api/v2/core/event-destinations/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
